let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/4cq7zlsqbs3l2lf7bb3vr03xxf0v2czz-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/dpi4c08jkfqbpsp2y8fd1wx9pjfciza6-coreutils-8.29/bin";
  bzip2 = "/nix/store/3l6nwsgsp4jyii72qmjzg550myc12kkm-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/q41xv3gbh3ayfaxjj6hzwkszz7kilyks-gzip-1.9/bin/gzip";
  xz = "/nix/store/ig0dykdy3vhkj7fj5sy0avyc68sj759i-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/qqp1h7sksdlwz2w4kg5z0k92wxbdx7wm-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/dpi4c08jkfqbpsp2y8fd1wx9pjfciza6-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/4a9czmrpd4hf3r80zcmga2c2lm3hbbvv-nix-2.0.1/bin";
  nixPrefix = "/nix/store/4a9czmrpd4hf3r80zcmga2c2lm3hbbvv-nix-2.0.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/4a9czmrpd4hf3r80zcmga2c2lm3hbbvv-nix-2.0.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
